QGIS Application - Bug report #16846
Map tools operation does not correctly apply datum transformation
2017-07-11 10:46 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24745
Description

If one copies selected features from one layer to another with different CRS (e.g. old Swiss system EPSG:21781 to new Swiss system
EPSG:2056) the datum transformation is not correctly applied.

This concerns features that are copied with the digitizing tools, with copy (in one layer) and paste in the other layer.

Selection map tool and snapping are also affected.

Associated revisions

Revision bae6d563 - 2017-07-17 10:22 PM - Jiirgen Fischer

consider datum transformation when pasting features (fixes #16846)

Revision 76e6b529 - 2017-07-19 10:23 AM - Jiirgen Fischer

Merge pull request #4883 from 3nids/copy_datum_218

consider datum transformation when pasting features (fixes #16846)

History

#1 - 2017-07-11 10:52 AM - Andreas Neumann

This is in a project where the project uses EPSG:2056 and where some layers are in EPSG:2056 and some in EPSG:21781

Assuming that the datum transformation for on-the-fly transformation (display) is correctly specified, using the CHENYX06a.gsb file from Swisstopo (

https://shop.swisstopo.admin.ch/de/products/geo_software/GIS_info --> free download, but need to confirm terms of usage). You have to download "NTv2
grid CH1903/LV03 -> CH1903+/LV95"

#2 - 2017-07-11 01:07 PM - Giovanni Manghi
- Status changed from Open to Feedback

Hi Andreas,

a genuine question... is copy/paste features expected to work between layers with different CRSs? | was remembering that they need to have the same
CRS, but may | am wrong?
If you need to transform layers CRSs using NTV2 grids remember that there is this

http://plugins.qgis.org/plugins/ntv2_transformations/

that also includes Swisstopo grids.

#3 - 2017-07-14 02:23 PM - Andreas Neumann

@Giovanni: Apparently copy/paste between two layers with different CRS seems to work. It is just the datum transformation that isn't properly applied.

| will prepare a small sample data set and strk will have a look at it.

#4 - 2017-07-14 02:25 PM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2017-07-17 10:23 PM - Jiirgen Fischer

- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|bae6d56388d8f5dabec3d5df723e96dd90c47{25.

#6 - 2017-07-19 08:17 AM - Denis Rouzaud

- Subject changed from Copy and paste of features between two layers does not correctly apply datum transformation to Map tools operation does not
correctly apply datum transformation

- Description updated

- Status changed from Closed to Open

the problem is broader:

- selection map tool

- snapping
#7 - 2017-07-19 10:23 AM - Jiirgen Fischer
- Status changed from Open to Closed

Applied in changeset commit:qgis|76e6b529bf6efe0b0f733e1df91471a280733ef2.
